Skip to main content
`Ctrl`+`K`

# PetscDualSpaceDuplicate

Creates a duplicate `PetscDualSpace` object that is not setup.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceDuplicate(PetscDualSpace sp, PetscDualSpace *spNew)

Collective

## Input Parameter

- sp - The original `PetscDualSpace`

## Output Parameter

- spNew - The duplicate `PetscDualSpace`

## See Also

`PetscDualSpace`, `PetscDualSpaceCreate()`, `PetscDualSpaceSetType()`

## Level

beginner

## Location

src/dm/dt/dualspace/interface/dualspace.c

## Implementations

PetscDualSpaceDuplicate_Lagrange() in src/dm/dt/dualspace/impls/lagrange/dspacelagrange.c
PetscDualSpaceDuplicate_Simple() in src/dm/dt/dualspace/impls/simple/dspacesimple.c
PetscDualSpaceDuplicate_Sum() in src/dm/dt/dualspace/impls/sum/dualspacesum.c

Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages